From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/amatch/
Date: Sun, 16 Jul 2017 06:49:21 +0000 (UTC) [thread overview]
Message-ID: <1500187531.9e2781a16b6eaf55c3c91eee4084023a7c5298d7.graaff@gentoo> (raw)
commit: 9e2781a16b6eaf55c3c91eee4084023a7c5298d7
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 16 06:18:12 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jul 16 06:45:31 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e2781a1
dev-ruby/amatch: add 0.4.0
Package-Manager: Portage-2.3.6, Repoman-2.3.2
dev-ruby/amatch/Manifest | 1 +
dev-ruby/amatch/amatch-0.4.0.ebuild | 40 +++++++++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-ruby/amatch/Manifest b/dev-ruby/amatch/Manifest
index 427e3c6aad5..f7cc3bc4f0e 100644
--- a/dev-ruby/amatch/Manifest
+++ b/dev-ruby/amatch/Manifest
@@ -1,2 +1,3 @@
DIST amatch-0.3.0.gem 28672 SHA256 669bac06769ab21d2fbd87839b5aa1b1d9e0eb39971b4404fe88de103685f45d SHA512 5ae598c90bb4252813be01570f3e057840133926c7736fad1ed9ec4fa8278e3e672ce466f79025f79b2f60a0842f7b294a748a5e0a29ceb0ddc72a55ba80673c WHIRLPOOL 773cd356b88a927dc0efbe4272d1a8bcbdb6005110672ad12a38bc6d468a6830d6a90b66266be8f87e4fc3d750645ca00d0f457f9ab8f793e039ab951ec4a290
DIST amatch-0.3.1.gem 28672 SHA256 7f7a1b388fd6af5fe4cf3aaca1ac6dbdf41c35c283f39d525a92d5f647f446dd SHA512 4abd3d482646e75715b631eaaf001139928a910c7ee518ab468e089c71433d3a27191da4b22b0283ce1d8c1d33b77da5960c06fcd7dcf95121f1a0cc9dc543bb WHIRLPOOL 0ddd1b173a3fb342d795f0f81d19d69b22328f00d2a902cbf001eaa054c7ab84d8e110d1a577829fd47caceee81a856488f8311eaaf2b3c99728f33784cef9c2
+DIST amatch-0.4.0.gem 38912 SHA256 b22249ba04464dfaa737b39c1be389f34faf82309e5053a006f321cc6aa0ba09 SHA512 c5a1d17b46f51796d3f082ab9d18845625a28e08339756ebc0689ad6c50b1406611fd5a316e628e4dab6d9b654c969a4fc6e8c2b2079f04c64e3d990e95a64a0 WHIRLPOOL 19a5d3031e7ccfe5542aea7d23b6b3dbd026e40fc427aa022bbaece47c04270468b813bad5a0eaef667aa4c4d3e9690d0bedc4133fb044669cf37701fb4bc6d2
diff --git a/dev-ruby/amatch/amatch-0.4.0.ebuild b/dev-ruby/amatch/amatch-0.4.0.ebuild
new file mode 100644
index 00000000000..30a275a074d
--- /dev/null
+++ b/dev-ruby/amatch/amatch-0.4.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="Approximate Matching Extension for Ruby"
+HOMEPAGE="https://flori.github.com/amatch/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/tins-1*"
+
+all_ruby_prepare() {
+ # mize is listed as a dependency but not actually used
+ sed -i -e '/mize/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_configure() {
+ ${RUBY} -Cext extconf.rb || die
+}
+
+each_ruby_compile() {
+ emake -Cext V=1
+ cp ext/amatch_ext$(get_modname) lib/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib -S testrb-2 tests/* || die
+}
next reply other threads:[~2017-07-16 6:49 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-16 6:49 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-04 6:53 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/amatch/ Hans de Graaff
2024-03-20 6:10 Hans de Graaff
2023-07-08 14:09 Hans de Graaff
2023-07-08 14:09 Hans de Graaff
2023-01-15 14:57 Sam James
2023-01-15 14:57 Sam James
2022-05-16 4:36 Hans de Graaff
2022-05-08 5:44 Hans de Graaff
2021-10-31 4:45 Hans de Graaff
2021-10-27 11:26 Hans de Graaff
2020-08-23 6:24 Hans de Graaff
2019-02-03 10:49 Hans de Graaff
2018-12-19 6:22 Hans de Graaff
2018-12-19 6:22 Hans de Graaff
2017-07-30 7:00 Hans de Graaff
2017-07-30 7:00 Hans de Graaff
2017-05-24 4:45 Hans de Graaff
2017-03-24 6:29 Hans de Graaff
2016-12-22 7:20 Hans de Graaff
2016-03-09 22:46 Manuel RĂ¼ger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1500187531.9e2781a16b6eaf55c3c91eee4084023a7c5298d7.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox